Get Customer Insights autocomplete suggestions.
post
/sia/v1/impact/event/{eventId}/customerInsights/autocomplete
Returns autocomplete suggestions from Customer Insights customer and impact fields after applying active filters.
Request
Path Parameters
-
eventId(required): string
The event document id.Example:
UELINK5003
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
filters: array
filters
Applied smart search filters for customer insights.
-
searchTerms: string
Free-text search terms for customer insights.
Nested Schema : FilterChip
Type:
Show Source
object-
filter: string
Name of the smart search filter.
-
value:
value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Nested Schema : value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Match One Schema
Show Source
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Customer insights autocomplete suggestions retrieved successfully.
Root Schema : CustomerInsightAutocompleteResponse
Type:
objectCustomer Insights autocomplete suggestions.
Show Source
Nested Schema : suggestions
Type:
Show Source
array-
Array of:
object CustomerInsightAutocompleteSuggestion
One Customer Insights autocomplete suggestion.
Nested Schema : CustomerInsightAutocompleteSuggestion
Type:
objectOne Customer Insights autocomplete suggestion.
Show Source
-
count: integer
(int64)
Unique customer count for customer-scoped suggestions, or impact-document count for impact-scoped suggestions.
-
filter: string
Filter key to use when applying the suggestion.
-
filterLabel: string
Display label for the filter.
-
label: string
Display label for the suggested value.
-
value:
value
Filter value to send in a Customer Insights request.
Nested Schema : value
Filter value to send in a Customer Insights request.
Match One Schema
Show Source
400 Response
The request isn't valid
401 Response
The request is unauthorized
403 Response
The request is forbidden
500 Response
An Internal Server Error has occurred